ChartDirector Ver 5.0 (PHP Edition)

SurfaceChart.setColorAxis

Usage

setColorAxis(x, y, alignment, length, orientation)

Description

Sets the position, length and orientation of the color axis (color legend).

Arguments

Argument | Default | Description
--- | --- | ---
x | (Mandatory) | The x-coordinate of the reference point used to position the color axis.
y | (Mandatory) | The y-coordinate of the reference point used to position the color axis.
alignment | (Mandatory) | The alignment of the color axis with respect to the reference point. For example, a value of TopLeft means the reference point is the top- left corner of the color axis. See Alignment Specification for supported alignment types..
length | (Mandatory) | The length of the color axis in pixels.
orientation | (Mandatory) | The orientation of the color axis. A value of Top/Bottom means the axis is horizontal, and the axis labels are at top/bottom side of the axis. A value of Left/Right means the axis is vertical, and the axis labels are at the left/right side of the axis.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.